Name:              libassuan		
Version:	   2.5.1
Release:	   6
Summary:	   A small library implementing the so-called Assuan protocal
License:	   LGPLv2+ and GPLv3+
URL:		   https://ww.gnupg.org/
Source0:           https://gnupg.org/ftp/gcrypt/libassuan/libassuan-%{version}.tar.bz2
Source1:           https://gnupg.org/ftp/gcrypt/libassuan/libassuan-%{version}.tar.bz2.sig

BuildRequires:     gcc gawk libgpg-error-devel >= 1.8 

%description
%{summary},which is used for IPC between most newer GnuPG cmponents,and provides\
\ both server and client sides functions.\

%package          devel
Summary:          GnuPG IPC library
Provides:         libassuan2-devel = %{version}-%{release}
Requires:         %{name} = %{version}-%{release}
Requires(post):   /sbin/install-info
Requires(preun):  /sbin/install-info

%description devel
Provide files which are needed to develop applications using %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

%build
%configure --includedir=%{_includedir}/libassuan2

%make_build

%install
%make_install

rm -fv %{buildroot}%{_infodir}/dir
%delete_la

%check
make check

%ldconfig_scriptlets

%post devel
/sbin/install-info %{_infodir}/assuan.info %{_infodir}/dir &>/dev/null || :

%preun devel
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/assuan.info %{_infodir}/dir &>/dev/null || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING COPYING.LIB
%{_libdir}/libassuan.so.0*


%files devel
%defattr(-,root,root)
%{_bindir}/libassuan-config
%{_includedir}/libassuan2/assuan.*
%{_libdir}/lib*.so
%{_datadir}/aclocal/lib*.m4
%{_infodir}/assuan.info*

%files help
%defattr(-,root,root)
%doc ChangeLog NEWS README THANKS TODO

%changelog
* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.5.1-6
- delete uesless info

* Fri Sep 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.5.1-5
- Package init

